<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>R-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#recreateFieldsByName--">recreateFieldsByName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Recreate fields by name mapping.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#redraw--">redraw()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>
<div class="block">Invokes a Runnable to repaint the board at the end of the current event
 thread's run.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#redraw--">redraw()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>
<div class="block">Invokes a Runnable to repaint the board at the end of the current event
 thread's run.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#redraw--">redraw()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>
<div class="block">Invokes a Runnable to repaint the board at the end of the current event
 thread's run.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#refreshFiguresStates--">refreshFiguresStates()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#refreshFiguresStates--">refreshFiguresStates()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">For all figures finds the fields they can move onto, figures they can
 attack, and figures they cover.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#refreshFiguresStates--">refreshFiguresStates()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/ArrayUtils.html#removeDuplicates-java.util.ArrayList-">removeDuplicates(ArrayList&lt;Field&gt;)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/ArrayUtils.html" title="class in de.rowlo.tridchess.util">ArrayUtils</a></dt>
<dd>
<div class="block">Returns a new ArrayList containing every element of list exactly once.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#removeFigure-de.rowlo.tridchess.model.Figure-">removeFigure(Figure)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>
<div class="block">Removes a figure from the black or white figures list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#REPLAY_DELAY">REPLAY_DELAY</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for animated move sequence replay.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Replayer</span></a> - Class in <a href="../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></dt>
<dd>
<div class="block">This Thread replays a move sequence on the board's current formation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Replayer.html#Replayer-java.util.Map-de.rowlo.tridchess.model.Board-">Replayer(Map&lt;Integer, PlainMove&gt;, Board)</a></span> - Constructor for class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid">Replayer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/ArrayUtils.html#reverse-java.util.ArrayList-">reverse(ArrayList&lt;Field&gt;)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/ArrayUtils.html" title="class in de.rowlo.tridchess.util">ArrayUtils</a></dt>
<dd>
<div class="block">Returns a new ArrayList containing the same elements as list in reverse
 order.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#rowNames">rowNames</a></span> - Static variable in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>
<div class="block">Default names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#rowNamesTriD">rowNamesTriD</a></span> - Static variable in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>
<div class="block">Default names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Replayer.html#run--">run()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid">Replayer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
